summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2012-04-19 19:49:25 +0000
committerAndreas K. Hüttel <dilfridge@gentoo.org>2012-04-19 19:49:25 +0000
commitad05afc90106d8a776bde55565ea939b524180f6 (patch)
treec2ab8cc86ee71bc0d2f593b2d111d528fb613c25 /eclass/kde4-meta.eclass
parentmarked amd64 per security bug 412643 (diff)
downloadgentoo-2-ad05afc90106d8a776bde55565ea939b524180f6.tar.gz
gentoo-2-ad05afc90106d8a776bde55565ea939b524180f6.tar.bz2
gentoo-2-ad05afc90106d8a776bde55565ea939b524180f6.zip
No ewarns even if tar misses some files on unpack, as that is so common it's pretty much useless.
Diffstat (limited to 'eclass/kde4-meta.eclass')
-rw-r--r--eclass/kde4-meta.eclass9
1 files changed, 2 insertions, 7 deletions
diff --git a/eclass/kde4-meta.eclass b/eclass/kde4-meta.eclass
index db2cec7d74ac..405210d91c28 100644
--- a/eclass/kde4-meta.eclass
+++ b/eclass/kde4-meta.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.62 2012/04/04 15:10:20 johu Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.63 2012/04/19 19:49:25 dilfridge Exp $
#
# @ECLASS: kde4-meta.eclass
# @MAINTAINER:
@@ -253,12 +253,7 @@ kde4-meta_src_extract() {
# Print out all issues found executing tar / kmextract files
# Set on if you want to find issues in kde-base ebuild unpack sequences
[[ -n ${KDE4_STRICTER} ]] && echo 'tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist}'
- if [[ ${I_KNOW_WHAT_I_AM_DOING} ]]; then
- # to make the devs happy - bug 338397
- tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} || ewarn "tar extract command failed at least partially - continuing anyway"
- else
- tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null || echo "tar extract command failed at least partially - continuing anyway"
- fi
+ tar -xpf "${tarfile}" ${KMTARPARAMS} ${extractlist} 2> /dev/null || echo "tar extract command failed at least partially - continuing anyway"
# Default $S is based on $P; rename the extracted directory to match $S if necessary
if [[ ${KMNAME} != ${PN} ]]; then